#
# Cookbook Name:: linux-igd
# Recipe:: default
#
# Copyright 2014, Egor Medvedev <methodx@aylium.net>
#

package value_for_platform(
  ["ubuntu", "debian"] => {"default" => "linux-igd"},
  "default" => "linux-igd"
)

template "/etc/default/linux-igd" do
  source "linux-igd.erb"
  variables ({
    :extiface => node["linux-igd"]["extiface"],
    :intiface => node["linux-igd"]["intiface"]
    })
end

service "linux-igd" do
  case node["platform"]
  when "debian","ubuntu"
    service_name "linux-igd"
  end
  supports :restart => true
  action [ :enable, :start ]
  subscribes :restart, "template[/etc/default/linux-igd]", :immediately
end